<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PerusahaanRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'NomorInduk' => ['string'],
            'JenisKegiatanId' => ['required', 'integer'],
            'NamaPerusahaan' => ['required', 'string'],
            'Alamat' => ['string'],
            'KelurahanId' => ['required', 'integer'],
            'KodePos' => ['string'],
            'Telepon' => ['string'],
            'Fax' => ['string'],
            'Email' => ['required', 'string'],
            'Lintang' => ['string'],
            'Bujur' => ['string'],
            'CPNama' => ['string'],
            'CPTelepon' => ['string'],
            'ILNomor' => ['string'],
            'ILTanggal' => ['string'],
            'JenisDokILId' => ['integer'],
            'VerifikatorId' => ['required', 'integer'],
            'IsPublish' => ['required', 'boolean'],
            'ILDokumen'    => 'nullable|file|mimes:pdf|max:2048',
            'Kawasan' => ['string'],
        ];
    }
}
