import React from "react";
import { Head } from "@inertiajs/react";
import DetailSearch from "@/components/DetailSearch/DetailSearch";
import Navbar from "@/components/Partials/Navbar";
import Footer from "@/components/Partials/Footer";
import { Post } from "@/components/DetailArtikel/types";
import Guest from "@/layouts/guest-layout";

interface SearchProps {
    searchResults: Post[];
    searchQuery: string;
}

export default function Search({ searchResults, searchQuery }: SearchProps) {
    return (
        <>
            <Head title={`Pencarian: ${searchQuery}`} />
            <Navbar />
            <DetailSearch
                searchResults={searchResults}
                searchQuery={searchQuery}
            />
            <Footer />
        </>
    );
}
