export interface Perusahaan {
    [x: string]: any;
    PerusahaanId: number;
    NamaPerusahaan: string;
    Alamat: string;
    KodePos: string;
    Telepon: string;
    Fax: string;
    Email: string;
    Lintang: string;
    Bujur: string;
    CPNama: string;
    CPTelepon: string;
    ILNomor: string;
    ILTanggal: string;
    ILDokumen: string;
    ReportLocked: boolean;
    JenisKegiatan: {
        NamaJenisKegiatan: string;
    };
    Kelurahan: {
        NamaKelurahan: string;
        Kecamatan: {
            NamaKecamatan: string;
            Kabupaten: {
                NamaKabupaten: string;
            };
        };
    };
    Verifikator: {
        NamaUnitKerja: string;
    };
    JenisDokIL: {
        NamaJenisDokIL: string;
    };
    Kabupaten?: string; // Make sure this field exists
}

export interface NamaPerusahaan {
    PerusahaanId: number;
    NamaPerusahaan: string;
}

export interface HistoryKegiatan {
    HistoryKegiatanId: number;
    NamaHistoryKegiatan: string;
}

export interface HistoryPerusahaan {
    [x: string]: any;
    PerusahaanId: number;
    NamaPerusahaan: string;
    HistoryKegiatanId: number;
    NamaHistoryKegiatan: string;
    TanggalHistory: string;
    NomorHistory: string;
    DokumenHistory: string;
}

export interface PerizinanLingkunganType {
    [x: string]: any;
    PerusahaanId: number;
    NomorInduk: string;
    NamaPerusahaan: string;
    JenisKegiatanId: number;
    JenisDokilId: number;
    Alamat: string;
    Telepon: string;
    Fax: string;
    Email: string;
    ILNomor: string;
    ILTanggal: string;
    ILDokumen: string;
}

export interface HukumType {
    [x: string]: any;
    HukumId: string;
    SanksiNumber: string;
    SanksiDate: string;
    SanksiFile: string;
    PenaatanId: {
        NamaPenaatan: string;
    };
    PenaatanNumber: string;
    PenaatanDate: string;
    PenaatanFile: string;
    NamaPerusahaan: string;
    NamaJenisSanksi: string;
    PerusahaanId: {
        NamaPerusahaan: string;
    };
    JenisSanksiId: {
        NamaJenisSanksi: string;
    };
}

export interface FormDataType {
    NomorInduk: string;
    JenisKegiatanId: string;
    NamaPerusahaan: string;
    Alamat: string;
    KelurahanId: string;
    KodePos: string;
    Telepon: string;
    Fax: string;
    Email: string;
    Lintang: string;
    Bujur: string;
    CPNama: string;
    CPTelepon: string;
    JenisDokILId: string;
    VerifikatorId: string;
    IsPublish: boolean;
    ILNomor: string;
    ILTanggal: string;
    ILDokumen: File | null;
    ReportLocked: true;
    PerusahaanId: string;
}

export interface Kawasan {
    PerusahaanId: number;
    NamaPerusahaan: string;
}

export interface JenisDokIL {
    JenisDokILId: number;
    NamaJenisDokIL: string;
}

export interface JenisKegiatan {
    JenisKegiatanId: number;
    NamaJenisKegiatan: string;
}

export interface Verifikator {
    VerifikatorId: number;
    NamaUnitKerja: string;
}

export interface Kabupaten {
    KabupatenId: number;
    NamaKabupaten: string;
}

export interface Kecamatan {
    KecamatanId: number;
    NamaKecamatan: string;
    KabupatenId: number;
}

export interface Kelurahan {
    KelurahanId: number;
    NamaKelurahan: string;
    KecamatanId: number;
}
